## org.apache.catalina.users
Class MemoryGroup

    java.lang.Object
      org.apache.catalina.users.AbstractGroup
          org.apache.catalina.users.MemoryGroup

All Implemented Interfaces:
  Group, java.security.Principal

public class MemoryGroup
extends AbstractGroup

Concrete implementation of `Group` for the `MemoryUserDatabase` implementation of `UserDatabase`.

Since:
  4.1
Version:
  $Revision: 1.6 $ $Date: 2004/08/26 21:42:04 $
Author:
  Craig R. McClanahan

Field Summary
`protected MemoryUserDatabase` `database` The `MemoryUserDatabase` that owns this group.
`protected java.util.ArrayList` `roles` The set of `Role`s associated with this group.

Fields inherited from class org.apache.catalina.users.AbstractGroup
`description, groupname`

Method Summary
`void` `addRole(Role role)` Add a new `Role` to those assigned specifically to this group.
`java.util.Iterator` `getRoles()` Return the set of `Role`s assigned specifically to this group.
`UserDatabase` `getUserDatabase()` Return the `UserDatabase` within which this Group is defined.
`java.util.Iterator` `getUsers()` Return the set of `User`s that are members of this group.
`boolean` `isInRole(Role role)` Is this group specifically assigned the specified `Role`?
`void` `removeRole(Role role)` Remove a `Role` from those assigned to this group.
`void` `removeRoles()` Remove all `Role`s from those assigned to this group.
`java.lang.String` `toString()` Return a String representation of this group in XML format.

Methods inherited from class org.apache.catalina.users.AbstractGroup
`getDescription, getGroupname, getName, setDescription, setGroupname`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.security.Principal
`equals, hashCode`

Field Detail

### database

    protected MemoryUserDatabase database

  The `MemoryUserDatabase` that owns this group.

### roles

    protected java.util.ArrayList roles

  The set of `Role`s associated with this group.

Method Detail

### getRoles

    public java.util.Iterator getRoles()

  Return the set of `Role`s assigned specifically to this group.

  Specified by:
    `getRoles` in interface `Group`
  Specified by:
    `getRoles` in class `AbstractGroup`

### getUserDatabase

    public UserDatabase getUserDatabase()

  Return the `UserDatabase` within which this Group is defined.

  Specified by:
    `getUserDatabase` in interface `Group`
  Specified by:
    `getUserDatabase` in class `AbstractGroup`

### getUsers

    public java.util.Iterator getUsers()

  Return the set of `User`s that are members of this group.

  Specified by:
    `getUsers` in interface `Group`
  Specified by:
    `getUsers` in class `AbstractGroup`

### addRole

    public void addRole(Role role)

  Add a new `Role` to those assigned specifically to this group.

  Specified by:
    `addRole` in interface `Group`
  Specified by:
    `addRole` in class `AbstractGroup`
  Parameters:
    `role` - The new role

### isInRole

    public boolean isInRole(Role role)

  Is this group specifically assigned the specified `Role`?

  Specified by:
    `isInRole` in interface `Group`
  Specified by:
    `isInRole` in class `AbstractGroup`
  Parameters:
    `role` - The role to check

### removeRole

    public void removeRole(Role role)

  Remove a `Role` from those assigned to this group.

  Specified by:
    `removeRole` in interface `Group`
  Specified by:
    `removeRole` in class `AbstractGroup`
  Parameters:
    `role` - The old role

### removeRoles

    public void removeRoles()

  Remove all `Role`s from those assigned to this group.

  Specified by:
    `removeRoles` in interface `Group`
  Specified by:
    `removeRoles` in class `AbstractGroup`

### toString

    public java.lang.String toString()

  Return a String representation of this group in XML format.

Copyright ? 2000-2002 Apache Software Foundation. All Rights Reserved.